# pht\Vector::size

(PECL pht >= 0.0.1)

pht\Vector::size — Gets the size of the vector

### Description

public pht\Vector::size ( void ) : int

Returns the current size of the vector. This operation requires a pht\Vector's mutex lock to be held if it is being used by multiple threads.

### Parameters

This function has no parameters.

### Return Values

The size of the vector.

### Examples

Example #1 Getting a vector's size

`<?php
use pht\Vector;
$vector = new Vector();
$vector[] = 1;
$vector[] = 2;
$vector[] = 3;
var_dump($vector->size());`

The above example will output:

    int(3)